using System.Runtime.Serialization;

namespace WCS.Entity.Protocol.Truss
{
    [DataContract]
    public class WCS_Truss520 : ITruss520
    {
        [DataMember(Order = 0)]
        public short DestPosition_1 { get; set; }

        [DataMember(Order = 1)]
        public short TargetPallte1 { get; set; }

        [DataMember(Order = 2)]
        public int Task1_1 { get; set; }

        [DataMember(Order = 3)]
        public short Dest1_1 { get; set; }

        [DataMember(Order = 4)]
        public int Task1_2 { get; set; }

        [DataMember(Order = 5)]
        public short Dest1_2 { get; set; }

        [DataMember(Order = 6)]
        public int Task1_3 { get; set; }

        [DataMember(Order = 7)]
        public short Dest1_3 { get; set; }

        [DataMember(Order = 8)]
        public int Task1_4 { get; set; }

        [DataMember(Order = 9)]
        public short Dest1_4 { get; set; }

        [DataMember(Order = 10)]
        public int Task1_5 { get; set; }

        [DataMember(Order = 11)]
        public short Dest1_5 { get; set; }

        [DataMember(Order = 12)]
        public short TaskSum1 { get; set; }

        [DataMember(Order = 13)]
        public short DestPosition_2 { get; set; }

        [DataMember(Order = 14)]
        public short TargetPallte2 { get; set; }

        [DataMember(Order = 15)]
        public int Task2_1 { get; set; }

        [DataMember(Order = 16)]
        public short Dest2_1 { get; set; }

        [DataMember(Order = 17)]
        public int Task2_2 { get; set; }

        [DataMember(Order = 18)]
        public short Dest2_2 { get; set; }

        [DataMember(Order = 19)]
        public int Task2_3 { get; set; }

        [DataMember(Order = 20)]
        public short Dest2_3 { get; set; }

        [DataMember(Order = 21)]
        public int Task2_4 { get; set; }

        [DataMember(Order = 22)]
        public short Dest2_4 { get; set; }

        [DataMember(Order = 23)]
        public int Task2_5 { get; set; }

        [DataMember(Order = 24)]
        public short Dest2_5 { get; set; }

        [DataMember(Order = 25)]
        public short TaskSum2 { get; set; }

        [DataMember(Order = 26)]
        public short CmdType { get; set; }

        [DataMember(Order = 27)]
        public short VoucherNo { get; set; }

        [DataMember(Order = 28)]
        public int PalletizingId { get; set; }

        [DataMember(Order = 29)]
        public int PalletizingRowId1 { get; set; }

        [DataMember(Order = 30)]
        public int PalletizingRowId2 { get; set; }
    }
}
